Skip to main content
GET
/
v1
/
markets
/
{condition_id}
/
book
Get orderbook snapshot
curl --request GET \
  --url https://api.foresight.now/v1/markets/{condition_id}/book
{
  "condition_id": "<string>",
  "chain_id": 56,
  "timestamp": "2023-11-07T05:31:56Z",
  "bids": [
    {
      "price": "0.54",
      "remainingSize": "123.45"
    }
  ],
  "asks": [
    {
      "price": "0.54",
      "remainingSize": "123.45"
    }
  ]
}

Path Parameters

condition_id
string
required

On-chain ConditionalTokens condition hash.

Example:

"0x9cded060be358b76678e598084cf258c7257771e473dbb461cad23417302d606"

Query Parameters

chain_id
integer
required

Blockchain network id. BSC mainnet is 56.

Example:

56

Response

OK

condition_id
string
chain_id
integer
Example:

56

timestamp
string<date-time>
bids
object[]

Buy side, highest price first.

asks
object[]

Sell side, lowest price first.